# $Revision: 1.24 $, $Date: 2004/01/02 17:15:54 $
Summary:	A list monitor with a visual output
Summary(de):	Face Saver Datenbank-Tools
Summary(fr):	Outils pour la base de donnes de sauvegarde des aspects
Summary(pl):	Program do wizualnego monitorowania listy
Summary(tr):	Yz (face) sunucusu veri taban aralar
Name:		faces
Version:	1.6.1
Release:	20
License:	Freeware
Group:		Applications/Mail
# this file differs from the one from CVS
#Source0:	ftp://ftp.cs.indiana.edu/pub/faces/faces/%{name}-%{version}.tar.Z
Source0:	%{name}-%{version}.tar.Z
# Source0-md5:	73b1ba54e57bf99f85d3ccf7be95c17d
Patch0:		%{name}-make.patch
Patch1:		%{name}-awk.patch
Patch2:		%{name}-string.patch
Patch3:		%{name}-fix.patch
Patch4:		%{name}-error.patch
BuildRequires:	XFree86-devel
BuildRequires:	bison
Requires:	netpbm-progs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Faces is a program for visually monitoring a list (typically a list of
incoming mail messages, a list of jobs in a print queue or a list of
system users). Faces operates in five different modes: monitoring for
new mail, monitoring an entire mail file, monitoring a specified print
queue, monitoring users on a machine and custom monitoring. Faces also
includes a utility for including a face image (a compressed, scanned
image) with mail messages. The image has to be compressed in a certain
way, which can then be uncompressed and displayed on-the-fly in the
mail program. This feature of faces is typically used with the exmh
mail handling system.

Install faces if you'd like to use its list monitoring capability or
its face image inclusion capability. If you would like to include face
images in email, you'll also need to install the faces-xface package.
If you would like to develop xface applications, you'll need to also
install faces-devel.

%description -l de
Das faces-Paket ist vor allem fr exmh gedacht. Sie knnen ein
beliebiges Foto in ein 'face' verwandeln, das dann per E-Mail
bertragen wird und von exmh und anderen Mail-Programmen erscheint.

%description -l fr
Le package faces est principalement utilis avec exmh. Vous pouvez
prendre une photo de quelque chose et le transformer en une ``face''
qui peut tre transmise dans tous les courriers lctroniques et sera
visible dans exmh et les autres mailers.

%description -l pl
faces jest programem sucym do wizualnego monitorowania listy
(zazwyczaj jest to lista nadchodzcych wiadomoci, lista zada w
kolejce drukowania czy lista uytkownikw systemu). Faces dziaa w
kilku rnych trybach: nadzorujc nadchodzc poczt, nadzorujc cay
plik pocztowy, nadzorujc podan kolejk drukowania, nadzorujc
uytkownikw na danym komputerze oraz wykonujc inne, wyszczeglnione
czynnoci nadzorujce. Pakiet faces zawiera rwnie narzdzie suce
do doczania (zeskanowanego, skompresowanego) wizerunku twarzy w
wiadomociach pocztowych. Obrazek ten powinien by skopmresowany w
szczeglny sposb, dziki czemu bdzie mg zosta zdekompresowany i
wywietlony w locie przez program pocztowy. Ta funkcja jest zazwyczaj
wykorzystywana w systemie obsugi poczty exmh.

Nalezy zainstalowa faces jeli pragnie si wykorzysta zdolno
nadzorowania list bdc cech tego pakietu. Jeli chce si docza
wizerunki twarzy w wiadomociach poczty elektronicznej, trzeba bdzie
rwnie zainstalowa pakiet faces-xface. Jeli pragnie si pisa
aplikacje dla xface, naley dodatkowo zainstalowa pakiet faces-devel.

%description -l tr
Faces paketi daha ok exmh yazlm ile kullanlmak iin
hazrlanmtr. Herhangi bir grnty bir 'yz'e evirebilir ve bunu
mektuplara ekleyerek exmh ve benzeri yazlmlar kullanan mektup okuma
yazlmlarnda belirmesini salayabilirsiniz.

%package xface
Summary:	Utilities needed by mailers for handling Faces' X-face images
Summary(de):	Utilities zur Behandlung von X-Face-Headers
Summary(fr):	Utilitaires pour grer les en-ttes X-Face
Summary(pl):	Narzdzia potrzebne programom pocztowym do obsugi nagwkw X-Face
Summary(tr):	X-Face balklarn ileme aralar
Group:		Applications/Mail
Requires:	netpbm-progs

%description xface
Faces-xface includes the utilities that mail user agent programs need
to handle X-Face mail headers. When an email program reads the X-face
header line in an email message, it calls these utilities to display
the face image included in the message.

%description xface -l de
Dies sind Dienstprogramme zum Verarbeiten von X-Face-Mail-Headern. Sie
werden von Mail-Programmen aufgerufen, um ein 'Face' einer Nachricht
darzustellen.

%description xface -l fr
Ce sont des utilitaires pour prendre en charge des en-tte de mail X.
il sont appels par les lecteurs de mail pour affciher ces parties de
message.

%description xface -l pl
Pakiet faces-xface zawiera narzdzia potrzebne programom pocztowym do
wywietlania obrazkw zawartych w nagwkach X-Face. Kiedy program
pocztowy czyta z nagwka lini X-Face, uruchamia te narzdzia eby
wywietli obrazek zawarty w nagwku.

%description xface -l tr
Bu paket. X-Face mektup balklarn ileyen aralar ierir. Bu
aralar, bir mesajdaki bir yz grntlemek isteyen e-posta
okuyucular kullanr.

%package devel
Summary:	The Faces program's library and header files
Summary(de):	Face-Saver-Library und Header
Summary(fr):	Bibliothque et en-tte Face saver
Summary(pl):	Biblioteka statyczna i plik nagwkowy faces
Summary(tr):	Face sunucu kitapl ve balklar
Group:		Development/Libraries

%description devel
Faces-devel contains the faces program development environment, (i.e.,
the static libraries and header files).

%description devel -l de
Dies ist die xface-Entwicklungsumgebung. Sie enthlt die statischen
Libraries und die Header-Dateien fr xface-Entwicklungsarbeiten.

%description devel -l fr
Environnement de dveloppement xface. Contient les bibliothques et
fichiers en-ttes pour faire du dveloppement xface.

%description devel -l pl
Pakiet zawiera plik nagwkowy oraz bibliotek statyczn.

%description devel -l tr
Bu paket, xface gelitirme ortamn sunar. Gerekli statik kitaplklar
ve balk dosyalarn ierir.

%prep
%setup -q -n faces
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
bison address.y -o address.c

%{__make} RPM_OPT_FLAGS="%{rpmcflags} -L/usr/X11R6/%{_lib}" -f Makefile.dist x11

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_includedir},%{_libdir}/faces,%{_mandir}/man{1,3}}

%{__make} -f Makefile.dist \
	BINDIR=$RPM_BUILD_ROOT%{_bindir} \
	LIBDIR=$RPM_BUILD_ROOT%{_libdir} \
	MANDIR=$RPM_BUILD_ROOT%{_mandir} \
	install

install compface/compface.h $RPM_BUILD_ROOT%{_includedir}/compface.h

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES* README TODO
%attr(755,root,root) %{_bindir}/compface
%attr(755,root,root) %{_bindir}/icon2ikon
%attr(755,root,root) %{_bindir}/ikon2icon
%attr(755,root,root) %{_bindir}/fs2ikon
%attr(755,root,root) %{_bindir}/rs2icon
%attr(755,root,root) %{_bindir}/fs2xbm
%attr(755,root,root) %{_bindir}/xbm2ikon
%attr(755,root,root) %{_bindir}/xbmcut48
%attr(755,root,root) %{_bindir}/xbmsize48
%attr(755,root,root) %{_bindir}/addxface
%attr(755,root,root) %{_bindir}/mailq.faces
%attr(755,root,root) %{_bindir}/from.faces
%attr(755,root,root) %{_bindir}/lpqall.faces
%attr(755,root,root) %{_bindir}/rotary.faces
%attr(755,root,root) %{_bindir}/facesaddr
%attr(755,root,root) %{_bindir}/facesall
%attr(755,root,root) %{_bindir}/mkfacesindex
%attr(755,root,root) %{_bindir}/newscheck.faces
%attr(755,root,root) %{_bindir}/newsfrom.faces
%attr(755,root,root) %{_bindir}/faces
%attr(755,root,root) %{_bindir}/face_update
%attr(755,root,root) %{_bindir}/faces.sendmail
%{_libdir}/faces
%{_mandir}/man1/faces.1*
%{_mandir}/man1/face_update.1*
%{_mandir}/man1/compface.1*

%files xface
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/uncompface
%attr(755,root,root) %{_bindir}/ikon2xbm
%{_mandir}/man1/uncompface.1.*
%{_mandir}/man3/*

%files devel
%defattr(644,root,root,755)
%{_includedir}/compface.h
%{_libdir}/libcompface.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: faces.spec,v $
Revision 1.24  2004/01/02 17:15:54  jajcus
- Release: 20 (STBR after AMD64 fixes)

Revision 1.23  2003/12/27 22:17:58  undefine
- add -L/usr/X11R6/%{_lib} to allow build on amd64

Revision 1.22  2003/12/01 02:30:11  undefine
- release 19 to rebuild with ac

Revision 1.21  2003/05/28 12:58:54  malekith
- massive attack: source-md5

Revision 1.20  2003/05/25 05:47:17  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.19  2003/04/07 07:42:18  qwark
added error.h patch

Revision 1.18  2003/02/05 22:39:51  radek
- removed Source0 URL

Revision 1.17  2002/11/27 18:37:47  juandon
- new %%doc

Revision 1.16  2002/04/25 16:16:45  arturs
fixed a small typo

Revision 1.15  2002/02/23 01:58:11  kloczek
- adapterized.

Revision 1.14  2002/02/22 23:28:50  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/02/02 20:03:33  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.12  2002/01/18 02:12:51  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/04/30 16:05:17  kloczek
- added using %%{rpmcflags} macro.

Revision 1.10  2001/03/14 17:41:29  qboosh
- fixed yacc problem, BuildRequires: bison
- added doc and rest of pl summaries/descriptions
- release 18

Revision 1.9  2001/01/25 20:03:23  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.8  2001/01/10 21:55:59  kloczek
- merged old TL de, fr, tr translations,
- use new rpm automation,
- move all man level 3 man pages to devel,
- Requires: netpbm-progs (not libgr-progs),
- added BuildRequires rules.

Revision 1.7  2000/06/09 07:22:49  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/18 19:19:33  kloczek
- spec adapterized.

Revision 1.5  2000/04/10 17:06:16  baggins
- more spelling fixes

Revision 1.4  2000/04/01 11:14:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:57:55  arturs
- added %description -l pl

Revision 1.2  1999/08/20 15:36:49  baggins
- spec cleanup for PLD

Revision 1.1  1999/08/19 20:07:26  baggins
almost raw

* Thu Apr 08 1999 Preston Brown <pbrown@redhat.com>
- fix xbm2ikon problem (bug # 1060).

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 14)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build

* Sat Aug 15 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- faces-devel moved to Development/Libraries

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Oct 21 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups

* Wed Oct 15 1997 Erik Troan <ewt@redhat.com>
- changed netpbm requirement to libgr-progs requirement

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
